package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.core.BaseDAOMapper;
import com.cku.model.CkuCaiPan;

public interface CkuCaiPanMapper extends BaseDAOMapper<CkuCaiPan> {
    int insert(CkuCaiPan record);

    int insertSelective(CkuCaiPan record);
    /**
     * 
     * @Description：查询裁判信息
     * @author: zhuoHeng
     * @version: 2016年3月23日 下午3:23:35
     */
    public List<CkuCaiPan> getRefereeMessage(@Param("ids")String ids);
    
	public List<CkuCaiPan> getList(@Param("name")String name,@Param("position")String position,@Param("limit")Long limit,@Param("count")Long count);
	public long getCount(@Param("name")String name,@Param("position")String position);

	CkuCaiPan getCaiPanById(long id);
	
	public List<CkuCaiPan> getCaiPan();
}